remove_keyboard(3)

NAME
remove_keyboard - Removes the Allegro keyboard handler.

SYNOPSIS
#include <allegro.h>

void remove_keyboard();

DESCRIPTION
Removes the keyboard handler, returning control to the operating system. You don't normally need to bother calling this, because allegro_exit() will do it for you. However, you might want to call this during runtime if you want to change the keyboard mapping on those platforms were keyboard mappings are needed. You would first modify the configuration variable holding the keyboard mapping and then reinstall the keyboard handler. Example:
   remove_keyboard();
   /* Switch to Spanish keyboard mapping. */
   set_config_string("system", "keyboard", "es");
   install_keyboard();

SEE ALSO
install_keyboard(3), allegro_exit(3), set_config_string(3)